# Toast show

An action block that briefly shows a “toast” message on screen.

If the proceed option is set to Immediately, then the fiber will proceed immediately without pause eventually showing the “toast”, which can’t be prevented. If set to When shown (Android 11+), then the fiber will pause until the “toast” has begun showing, stopping fiber will prevent showing. If set to When hidden (Android 11+), then the fiber will pause until the “toast” was hidden after being shown, stopping fiber will prevent showing, or hide.

Only used this block for short messages, usually no longer than two rows, for lengthier text use the Dialog message block instead. The system limits the rate (per app) of which “toast” can appear, avoid using this block in quick succession.

Note! Disabling notification may also prevent “toast” messages from showing.

## Options

- Proceed — when the fiber should proceed, and if the “toast” can be prevented or hidden, i.e. cancelled.

## Input arguments

- Message — message to show.
- Duration — duration on screen, default is Short for messages with less than 30 characters, Long otherwise.